- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::Sector Class Reference

Inheritance diagram for osgSim::Sector:

[legend]
List of all members.

## Public Member Functions
| Sector ()
| Sector (const Sector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual float | operator() (const osg::Vec3 &) const =0
## Protected Member Functions
virtual | ~Sector ()

## Constructor & Destructor Documentation

osgSim::Sector::Sector | ( |  | ) | `[inline]`

osgSim::Sector::Sector | ( | const Sector & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osgSim::Sector::~Sector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osgSim::Sector::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual bool osgSim::Sector::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Object.

virtual const char* osgSim::Sector::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

virtual float osgSim::Sector::operator() | ( | const osg::Vec3 & |  | ) | const`[pure virtual]`

| Implemented in osgSim::AzimSector, osgSim::ElevationSector, osgSim::AzimElevationSector, osgSim::ConeSector, and osgSim::DirectionalSector.

The documentation for this class was generated from the following file:

- Sector